<?php 
$Search = new Search();

$words=to_str($_GET['text']);

$property = array();

/* Текущая страница */
$property['current_page']=to_int($_GET['page']);

/* Количество строк результата на страницу */
$property['items_on_page'] = to_int($GLOBALS['LA']['result_on_page']);

/* Максимальная длина поискового запроса */
$property['len'] = to_int($GLOBALS['LA']['maxlen']);

/* Если поиск только по текущему сайту */
if (to_bool($GLOBALS['LA']['SearchCurrentSite']))
{
	$property['site_id'] = CURRENT_SITE;
}

$Search->GoSearch($words, to_str($GLOBALS['LA']['xsl']), $property);

?>